import * as React from 'react'
import type { SVGProps } from 'react'
function SvgMsKlimadashboardIconsMPkwGas(props: SVGProps<SVGSVGElement>) {
  return (
    <svg
      data-name="Ebene 1"
      id="MS_Klimadashboard_Icons_m_Pkw_Gas_svg__Ebene_1"
      viewBox="0 0 120 48"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <defs>
        <style>
          {'.MS_Klimadashboard_Icons_m_Pkw_Gas_svg__cls-2{fill:#34c17b}'}
        </style>
      </defs>
      <g
        data-name="Gruppe 1329"
        id="MS_Klimadashboard_Icons_m_Pkw_Gas_svg__Gruppe_1329"
      >
        <path
          className="MS_Klimadashboard_Icons_m_Pkw_Gas_svg__cls-2"
          d="M14.98 8.9c.2 0 .41.01.61.05a1.157 1.157 0 1 1-.4 2.28c-.4-.05-.8.04-1.13.27-.34.41-.51.94-.45 1.47-.05.45.11.89.44 1.2.69.42 1.5.59 2.29.48.63-.11 1.23.31 1.33.94.11.63-.31 1.23-.94 1.33-.02 0-.05 0-.08.01-1.46.21-2.94-.15-4.14-1.02a3.755 3.755 0 0 1-1.24-2.95c-.09-1.22.39-2.42 1.3-3.25.67-.54 1.52-.83 2.39-.81Zm6.13 5.6h19.2a1.16 1.16 0 0 1 0 2.32h-19.2a1.16 1.16 0 0 1 0-2.32Zm13.78 9.09h10.48a1.16 1.16 0 0 1 0 2.32H34.89a1.16 1.16 0 0 1 0-2.32Zm-26.51.11h21.58a1.16 1.16 0 0 1 0 2.32H8.74c-.11 0-3.28-.17-4.96 1.41-.69.68-1.06 1.63-1.01 2.6 0 1.9.64 3.18 1.9 3.83 1.89.76 4.03.53 5.73-.61.52-.37 1.25-.25 1.62.27.37.51.25 1.23-.26 1.6a8.375 8.375 0 0 1-8.14.79C2.18 35.18.47 33.56.47 30.03c-.06-1.61.57-3.17 1.75-4.28 1.98-1.86 5.04-2.04 6.17-2.04Z"
          data-name="MS Klimadashboard Icons wetter windgeschw"
          id="MS_Klimadashboard_Icons_m_Pkw_Gas_svg__MS_Klimadashboard_Icons_wetter_windgeschw"
        />
      </g>
      <g
        data-name="Gruppe 1369"
        id="MS_Klimadashboard_Icons_m_Pkw_Gas_svg__Gruppe_1369"
      >
        <path
          className="MS_Klimadashboard_Icons_m_Pkw_Gas_svg__cls-2"
          d="M71.28 40.37v.14c0 .04 0 .07-.02.11 0-.09 0-.17.03-.25Z"
        />
        <path
          className="MS_Klimadashboard_Icons_m_Pkw_Gas_svg__cls-2"
          d="M114.06 23.62h-8.63l-1.03-6.05c-2.26-8.09-7.47-9.13-11.75-9.13H71.68c-3.85 0-12.67 1.51-13.12 15.27a8.601 8.601 0 0 0-6.85 8.7v4.29a4.933 4.933 0 0 0 4.74 5.13h1.69a7.867 7.867 0 0 0 7.65 5.96c3.66 0 6.78-2.52 7.65-5.97h21.48a7.86 7.86 0 0 0 7.66 5.97c3.66 0 6.8-2.51 7.65-5.97h5c2.65-.12 4.72-2.36 4.62-5v-6.89a6.073 6.073 0 0 0-5.79-6.32ZM71.28 40.37v.14c0 .04 0 .07-.02.11v.02a5.512 5.512 0 0 1-4.87 4.75 5.507 5.507 0 0 1-6.07-4.89c-.03-.2-.04-.39-.03-.59 0-3.05 2.47-5.52 5.51-5.53 3.05 0 5.52 2.49 5.52 5.53 0 .17 0 .33-.02.47Zm36.77.14a5.499 5.499 0 0 1-4.87 4.87c-2.99.34-5.67-1.8-6.07-4.75 0-.04-.02-.09-.02-.13v-.14c0-.16-.02-.32-.02-.47 0-3.05 2.46-5.51 5.51-5.53 3.05.02 5.51 2.48 5.52 5.53 0 .22 0 .4-.03.61Zm9.42-3.68c.1 1.34-.91 2.5-2.24 2.61h-4.76c-.19-4.24-3.71-7.61-7.98-7.56-4.22.05-7.64 3.39-7.81 7.56H73.67c-.19-4.23-3.7-7.6-7.97-7.55a7.884 7.884 0 0 0-7.8 7.56h-1.45a2.561 2.561 0 0 1-2.34-2.73v-4.3c0-3.54 2.54-6.41 5.63-6.41.66 0 1.19-.53 1.19-1.19 0-11.56 5.85-13.98 10.75-13.98h20.96c3.84 0 7.65.9 9.43 7.24l1.15 6.94c.1.58.59 1.01 1.18 1h9.65c2.02.17 3.54 1.91 3.4 3.94v6.89Z"
        />
      </g>
      <path
        d="M0 0h120v48H0z"
        style={{
          fill: 'none',
        }}
      />
    </svg>
  )
}
export default SvgMsKlimadashboardIconsMPkwGas
